Name:			ghemical
Version:		2.99.2
Release:		%mkrel 6

Summary:	Molecular mechanics and quantum mechanics frontend for GNOME
License:	GPLv2+
Group:		Sciences/Chemistry
URL:		http://www.uku.fi/~thassine/ghemical/
Source0:	http://www.uku.fi/~thassine/projects/download/current/%{name}-%{version}.tar.gz
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png

BuildRequires:	gcc-gfortran
BuildRequires:	ghemical-devel >= 2.99.1
BuildRequires:	openbabel-devel >= 2.2
BuildRequires:	bonoboui-devel
BuildRequires:	f2c-devel
BuildRequires:	flex
BuildRequires:	gtkglext-devel
BuildRequires:	mopac7-devel >= 1.14
BuildRequires:	oglappth-devel >= 0.98
BuildRequires:	libglade2.0-devel >= 2.4.0
BuildRequires:	mesagl-devel
BuildRequires:	mesaglu-devel
BuildRequires:	libSC-devel
BuildRequires:	intltool
Buildroot:	%{_tmppath}/%{name}-%{version}

Requires:	libghemical-data >= 2.99.1


%description
Ghemical is a computational chemistry application.
Ghemical is written in C++. It has a graphical user interface (in fact, 
a couple of them), and it supports both quantum-mechanics (semi-empirical 
and ab initio) models and molecular mechanics models (there is an experimental
Tripos 5.2-like force field for organic molecules). Also a tool for reduced 
protein models is included. Geometry optimization, molecular dynamics
and a large set of visualization tools are currently available.

%prep
%setup -q
#help : use default www-browser
perl -pi -e "s|mozilla|www-browser|" src/gtk_app.cpp

%build
libtoolize --copy --force
aclocal
autoconf
automake
CXXFLAGS="$RPM_OPT_FLAGS `pkg-config --cflags libbonobo-2.0` `pkg-config --cflags libbonoboui-2.0`" \
%configure2_5x	--enable-threads \
		--enable-bonobo \
		--enable-openbabel \
		--enable-shortcuts \
		--enable-gamess

%make LIBS="`pkg-config --libs libbonobo-2.0` `pkg-config --libs libbonoboui-2.0` \
 `pkg-config libglade-2.0 --libs` `pkg-config gtkglext-1.0 --libs` \
 -lghemical -lmopac7 -loglappth -lopenbabel -lf2c"

%install
rm -rf %{buildroot}
%makeinstall_std

install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=GNOME MM/QM Frontend
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Science;Chemistry;
EOF

%find_lang %{name}

%if %mdkversion < 200900
%post
%{update_menus}
%{update_icon_cache hicolor}

%postun
%{clean_menus}
%{clean_icon_cache hicolor}
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README NEWS TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/mandriva-%{name}.desktop



%changelog
* Sat May 07 2011 Funda Wang <fwang@mandriva.org> 2.99.2-6mdv2011.0
+ Revision: 672312
- rebuild

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 2.99.2-5mdv2011.0
+ Revision: 610852
- rebuild

* Fri Jan 15 2010 Jérôme Brenier <incubusss@mandriva.org> 2.99.2-4mdv2010.1
+ Revision: 491810
-rebuild now that mpqc linkage issue is fixed
- fix desktop file
- use find_lang

* Fri Oct 16 2009 Guillaume Bedot <littletux@mandriva.org> 2.99.2-3mdv2010.0
+ Revision: 457863
- fix buildrequires
- Add translations files
- New release
- fix buildrequires
- New release
- drop merged patch
- update license

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 2.98-3mdv2010.0
+ Revision: 437686
- rebuild

* Tue Jan 13 2009 Guillaume Bedot <littletux@mandriva.org> 2.98-2mdv2009.1
+ Revision: 328823
- Fix browser for help

* Mon Aug 11 2008 Emmanuel Andry <eandry@mandriva.org> 2.98-1mdv2009.0
+ Revision: 270768
- New version
- add patch from archlinux to fix build

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 2.95-4mdv2009.0
+ Revision: 246063
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Mar 25 2008 Guillaume Bedot <littletux@mandriva.org> 2.95-2mdv2008.1
+ Revision: 189858
- Fix requires (bug #39039)

* Thu Mar 06 2008 Guillaume Bedot <littletux@mandriva.org> 2.95-1mdv2008.1
+ Revision: 180820
- 2.95

* Tue Jan 08 2008 Adam Williamson <awilliamson@mandriva.org> 2.10-5mdv2008.1
+ Revision: 146862
- remove unnecessary defines
- rebuild for newer libgfortran
- drop Mandriva category from XDG menu entry
- new license policy
- fd.o icons
- small spec cleanups

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Lev Givon <lev@mandriva.org>
    - Bump release to build against lapack 3.1.1.
      Update build requirements.

  + Austin Acton <austin@mandriva.org>
    - rebuild for openbabel


* Tue Aug 22 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.10-0.1.20060mdk
- 2.10
- xdg menu
- various fixesblablabla

* Thu Mar 09 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.02-1mdk
- 1.02
- fix buildrequires
- %%mkrel

* Tue Jun 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.01-2mdk
- rebuild for new g++
- patch 0: fix compiling with new g++

* Sun Jan 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.01-1mdk
- 1.01
- drop explicit library dependencies
- fix buildrequires (lib64..)
- fix icons
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- macroize
- cleanups

